package net.pricefx.formulaengine;

import net.pricefx.common.api.PriceFxInterface;
import net.pricefx.domain.DMModel;
import net.pricefx.service.ItemSummaryQuery;

public class ModelRecordSummaryQuery extends ItemSummaryQuery<DMModel>{

	public ModelRecordSummaryQuery() {
		super(PriceFxInterface.FIELD_MR_MODELID);

	}

	protected String resolveFieldName(Object calcObjItem, String fieldNameOrLabel, Object objService) {
		return null;
	}

	@Override
	protected String getProjectionName(Projection p) {
		return String.format("%s%s_%s_%s", 
				p.getFieldNamePrefix() == null? "" : p.getFieldNamePrefix(),
				p.getAggregationMode() == null? "" : p.getAggregationMode(),
				p.getFieldName() == null? "" : p.getFieldName(),
				p.getWeight() == null? "" : p.getWeight());
	}
	
}
